from nullptr.missions.base import BaseMission, MissionParam
from nullptr.models.waypoint import Waypoint

class SitMission(BaseMission):
  def start_state(self):
    return 'travel-to'
  
  @classmethod
  def params(cls):
    return {
      'dest': MissionParam(Waypoint, True)
    }
  
  def steps(self):
    return { 
      **self.travel_steps('to', 'dest', 'sit'),
      'sit': (self.step_pass, 'done', self.wait_forever)
      }
      
  def wait_forever(self):
    return 0
    
    
